Subject: bug#38875: 26.2; auto-save-list-file-name still created when auto-save-default is nil

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 Jan 2020 22:24:57 +0200

> From: João Guerra <[email-masked]>
> Date: Thu, 2 Jan 2020 21:16:26 +0100
> Cc: [email-masked]
> 
> > Like I said: it does disable creating the file for me.
> 
> Try `emacs -q -l test.el` with test.el:
> 
> (setq auto-save-default nil)
> 
> wait a bit and `~/.emacs.d/auto-save-list/.saves-<pid>-<hostname>~`
> will be created.

That's exactly what I did, except that these settings were in ~/.emacs
and not loaded after startup.  I waited for 30 seconds, and didn't see
any auto-save-list file in ~/.emacs.d/.  Not sure why it happens for
you.